"""
Generally usable utilities related to optimization problems.

This package aims at enhancing the workflow of formulating numerical optimization problems.
It allows to use units of measurements and execute optimizations in parallel.
Furthermore, data validation and parsing is deeply integrated into the codebase, and serialization of various well-known
data types is facilitated.

## Content

The source code is structured in a number of packages and modules, each of which serves a different purpose.

### Subpackages

````{list-table}
:class: autosummary longtable
:align: left

* - {py:mod}`~optool.fields`
  - ```{autodoc2-docstring} optool.fields
    :parser: myst
    :summary:
    ```
* - {py:mod}`~optool.optimization`
  - ```{autodoc2-docstring} optool.optimization
    :parser: myst
    :summary:
    ```
* - {py:mod}`~optool.serialization`
  - ```{autodoc2-docstring} optool.serialization
    :parser: myst
    :summary:
    ```
````

### Submodules

````{list-table}
:class: autosummary longtable
:align: left

* - {py:mod}`~optool.conversions`
  - ```{autodoc2-docstring} optool.conversions
    :parser: myst
    :summary:
    ```
* - {py:mod}`~optool.core`
  - ```{autodoc2-docstring} optool.core
    :parser: myst
    :summary:
    ```
* - {py:mod}`~optool.languages`
  - ```{autodoc2-docstring} optool.languages
    :parser: myst
    :summary:
    ```
* - {py:mod}`~optool.logging`
  - ```{autodoc2-docstring} optool.logging
    :parser: myst
    :summary:
    ```
* - {py:mod}`~optool.math`
  - ```{autodoc2-docstring} optool.math
    :parser: myst
    :summary:
    ```
* - {py:mod}`~optool.parallel`
  - ```{autodoc2-docstring} optool.parallel
    :parser: myst
    :summary:
    ```
* - {py:mod}`~optool.uom`
  - ```{autodoc2-docstring} optool.uom
    :parser: myst
    :summary:
    ```
* - {py:mod}`~optool.util`
  - ```{autodoc2-docstring} optool.util
    :parser: myst
    :summary:
    ```

````
"""
