"""
Custom Pydantic-compatible fields for data validation and parsing.

This package is a comprehensive toolkit for advanced data validation based on the Python library [Pydantic](
https://docs.pydantic.dev/latest/).
It provides a suite of custom Pydantic-compatible fields designed to enforce specific constraints on various data types,
including numbers, Numpy arrays, quantities, symbolic expressions, containers, callables, and Pandas Series and
DataFrames.
These custom fields ensure that data adheres to the specific requirements of optimization models, supporting robust and
reliable model construction and execution.
"""
